aboutsummaryrefslogtreecommitdiff
path: root/sys/tools
diff options
context:
space:
mode:
authorKonstantin Belousov <kib@FreeBSD.org>2021-12-01 00:35:26 +0000
committerKonstantin Belousov <kib@FreeBSD.org>2021-12-06 18:47:30 +0000
commitd49b75d0d67f86265cfe9b8c83d3749c4a8d3e14 (patch)
treef69be0eb43bb543336f6cc873d1d3e65b14ede05 /sys/tools
parentb0e0b4e7b3795e9beb0cddcfd75261cc9327b5b0 (diff)
downloadsrc-d49b75d0d67f86265cfe9b8c83d3749c4a8d3e14.tar.gz
src-d49b75d0d67f86265cfe9b8c83d3749c4a8d3e14.zip
Diffstat (limited to 'sys/tools')
-rw-r--r--sys/tools/amd64_ia32_vdso.sh7
-rw-r--r--sys/tools/amd64_vdso.sh7
2 files changed, 14 insertions, 0 deletions
diff --git a/sys/tools/amd64_ia32_vdso.sh b/sys/tools/amd64_ia32_vdso.sh
index 7ef630dbaac5..d03249dd4940 100644
--- a/sys/tools/amd64_ia32_vdso.sh
+++ b/sys/tools/amd64_ia32_vdso.sh
@@ -46,6 +46,13 @@ then
exit 1
fi
+if [ -n "$(${ELFDUMP} -d elf-vdso32.so.1 | \
+ ${AWK} '/DT_REL.*SZ/{print "RELOCS"}')" ]
+then
+ echo "elf-vdso32.so.1 contains runtime relocations" 1>&2
+ exit 1
+fi
+
${CC} -x assembler-with-cpp -DLOCORE -fPIC -nostdinc -c \
-o elf-vdso32.so.o -I. -I"${S}" -include opt_global.h \
-DVDSO_NAME=elf_vdso32_so_1 -DVDSO_FILE=elf-vdso32.so.1 \
diff --git a/sys/tools/amd64_vdso.sh b/sys/tools/amd64_vdso.sh
index 0bb351192407..8b9871e86802 100644
--- a/sys/tools/amd64_vdso.sh
+++ b/sys/tools/amd64_vdso.sh
@@ -55,6 +55,13 @@ then
exit 1
fi
+if [ -n "$(${ELFDUMP} -d elf-vdso.so.1 | \
+ ${AWK} '/DT_REL.*SZ/{print "RELOCS"}')" ]
+then
+ echo "elf-vdso.so.1 contains runtime relocations" 1>&2
+ exit 1
+fi
+
${CC} -x assembler-with-cpp -DLOCORE -fPIC -nostdinc -c \
-o elf-vdso.so.o -I. -I"${S}" -include opt_global.h \
-DVDSO_NAME=elf_vdso_so_1 -DVDSO_FILE=elf-vdso.so.1 \